Subject: [bug#65624] [PATCH] gnu: liburcu: Update to 0.14.0.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 06 Sep 2023 13:13:11 -0400

Hi,

Olivier Dion <[email-masked]> writes:

[...]

> There are missing include statements in compilation units of multipath-
> tools for <assert.h>.  It probably worked before because Userspace RCU
> was including it in its public header file and not anymore.  Therefore,
> it is a bug of mutlipath-tools which was fixed in version 0.9.6.
>
> So I see two solutions to this.  Either I back-port the patch to version
> 0.9.3 or we update multipath-tools to 0.9.6.

I'd favor updating multipath-tools; it only 2 dependents, and it's a
patch-level update, so my expectation is that it shouldn't break
anything.

-- 
Thanks,
Maxim